### Enumeration

# Pango Underline

since: 1.0

#### Declaration

    enum Pango.Underline

#### Description [src]

The `PangoUnderline` enumeration is used to specify whether text should be underlined, and if so, the type of underlining.

Available since: 1.0

#### Members

`PANGO_UNDERLINE_NONE`

  No underline should be drawn.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`PANGO_UNDERLINE_SINGLE`

  A single underline should be drawn.

  - Value: `1`
  - Nickname: `single`
  - Available since: 1.0
`PANGO_UNDERLINE_DOUBLE`

  A double underline should be drawn.

  - Value: `2`
  - Nickname: `double`
  - Available since: 1.0
`PANGO_UNDERLINE_LOW`

  A single underline should be drawn at a position beneath the ink extents of the text being underlined. This should be used only for underlining single characters, such as for keyboard accelerators. `PANGO_UNDERLINE_SINGLE` should be used for extended portions of text.

  - Value: `3`
  - Nickname: `low`
  - Available since: 1.0
`PANGO_UNDERLINE_ERROR`

  An underline indicating an error should be drawn below. The exact style of rendering is up to the `PangoRenderer` in use, but typical styles include wavy or dotted lines. This underline is typically used to indicate an error such as a possible mispelling; in some cases a contrasting color may automatically be used. This type of underlining is available since Pango 1.4.

  - Value: `4`
  - Nickname: `error`
  - Available since: 1.0
`PANGO_UNDERLINE_SINGLE_LINE`

  Like `PANGO_UNDERLINE_SINGLE`, but drawn continuously across multiple runs. This type of underlining is available since Pango 1.46.

  - Value: `5`
  - Nickname: `single-line`
  - Available since: 1.0
`PANGO_UNDERLINE_DOUBLE_LINE`

  Like `PANGO_UNDERLINE_DOUBLE`, but drawn continuously across multiple runs. This type of underlining is available since Pango 1.46.

  - Value: `6`
  - Nickname: `double-line`
  - Available since: 1.0
`PANGO_UNDERLINE_ERROR_LINE`

  Like `PANGO_UNDERLINE_ERROR`, but drawn continuously across multiple runs. This type of underlining is available since Pango 1.46.

  - Value: `7`
  - Nickname: `error-line`
  - Available since: 1.0